
package generated.libraryservice;

import java.net.MalformedURLException;
import java.net.URL;
import javax.xml.namespace.QName;
import javax.xml.ws.Service;
import javax.xml.ws.WebEndpoint;
import javax.xml.ws.WebServiceClient;
import javax.xml.ws.WebServiceException;
import javax.xml.ws.WebServiceFeature;


/**
 * This class was generated by the JAX-WS RI.
 * JAX-WS RI 2.2.9-b130926.1035
 * Generated source version: 2.2
 * 
 */
@WebServiceClient(name = "LibraryService", targetNamespace = "http://LibraryService/", wsdlLocation = "file:/mnt/d/Documents/Cours/OpenClassroom/Projet%2010/backend/libraryservice-webservice/src/main/resources/LibraryService.wsdl")
public class LibraryService_Service
    extends Service
{

    private final static URL LIBRARYSERVICE_WSDL_LOCATION;
    private final static WebServiceException LIBRARYSERVICE_EXCEPTION;
    private final static QName LIBRARYSERVICE_QNAME = new QName("http://LibraryService/", "LibraryService");

    static {
        URL url = null;
        WebServiceException e = null;
        try {
            url = new URL("file:/mnt/d/Documents/Cours/OpenClassroom/Projet%2010/backend/libraryservice-webservice/src/main/resources/LibraryService.wsdl");
        } catch (MalformedURLException ex) {
            e = new WebServiceException(ex);
        }
        LIBRARYSERVICE_WSDL_LOCATION = url;
        LIBRARYSERVICE_EXCEPTION = e;
    }

    public LibraryService_Service() {
        super(__getWsdlLocation(), LIBRARYSERVICE_QNAME);
    }

    public LibraryService_Service(WebServiceFeature... features) {
        super(__getWsdlLocation(), LIBRARYSERVICE_QNAME, features);
    }

    public LibraryService_Service(URL wsdlLocation) {
        super(wsdlLocation, LIBRARYSERVICE_QNAME);
    }

    public LibraryService_Service(URL wsdlLocation, WebServiceFeature... features) {
        super(wsdlLocation, LIBRARYSERVICE_QNAME, features);
    }

    public LibraryService_Service(URL wsdlLocation, QName serviceName) {
        super(wsdlLocation, serviceName);
    }

    public LibraryService_Service(URL wsdlLocation, QName serviceName, WebServiceFeature... features) {
        super(wsdlLocation, serviceName, features);
    }

    /**
     * 
     * @return
     *     returns LibraryService
     */
    @WebEndpoint(name = "LibraryServiceSOAP")
    public LibraryService getLibraryServiceSOAP() {
        return super.getPort(new QName("http://LibraryService/", "LibraryServiceSOAP"), LibraryService.class);
    }

    /**
     * 
     * @param features
     *     A list of {@link javax.xml.ws.WebServiceFeature} to configure on the proxy.  Supported features not in the <code>features</code> parameter will have their default values.
     * @return
     *     returns LibraryService
     */
    @WebEndpoint(name = "LibraryServiceSOAP")
    public LibraryService getLibraryServiceSOAP(WebServiceFeature... features) {
        return super.getPort(new QName("http://LibraryService/", "LibraryServiceSOAP"), LibraryService.class, features);
    }

    private static URL __getWsdlLocation() {
        if (LIBRARYSERVICE_EXCEPTION!= null) {
            throw LIBRARYSERVICE_EXCEPTION;
        }
        return LIBRARYSERVICE_WSDL_LOCATION;
    }

}
